[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: MacOS Lilypond distribution

From: Han-Wen Nienhuys
Subject: Re: MacOS Lilypond distribution
Date: Mon, 04 Dec 2006 12:56:33 +0100
User-agent: Thunderbird (X11/20061107)

Graham Percival escreveu:
> Trevor Bača wrote:
>> Unfortunately you're not. Python's complaining that the setuptools
>> module isn't available and so the import fails.
> Aha!  I was running "python", which found the default OSX python 2.3.5.
>  Running "python2.4" gets me more... although still not perfect.
> tsubasa:~/tmp gperciva$ python2.4 py2app
> running py2app
> creating /Users/gperciva/tmp/build
> creating /Users/gperciva/tmp/build/bdist.darwin-8.8.3-i386
> creating
> /Users/gperciva/tmp/build/bdist.darwin-8.8.3-i386/python2.4-standalone
> creating
> /Users/gperciva/tmp/build/bdist.darwin-8.8.3-i386/python2.4-standalone/app
> creating
> /Users/gperciva/tmp/build/bdist.darwin-8.8.3-i386/python2.4-standalone/app/collect
> creating
> /Users/gperciva/tmp/build/bdist.darwin-8.8.3-i386/python2.4-standalone/app/temp
> creating /Users/gperciva/tmp/dist
> creating build/bdist.darwin-8.8.3-i386/python2.4-standalone/app/lib-dynload
> creating build/bdist.darwin-8.8.3-i386/python2.4-standalone/app/Frameworks
> error: You must specify either app or plugin
> tsubasa:~/tmp gperciva$
> The created directories are all empty, I'm afraid.  (I tried adding
> "app" at varying places in the above command with no luck)
> - Graham

I do /usr/bin/python py2app

I have various py2app stuff in /Library /Developer etc., 

maagd:~/src/maclily/LilyPad$ locate py2app|grep Receipts |grep 'pkg$'

Unfortunately I forgot where I got these from.


Han-Wen Nienhuys - address@hidden -

LilyPond Software Design
 -- Code for Music Notation

reply via email to

[Prev in Thread] Current Thread [Next in Thread]